using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsZone {
        public BemsZone() {
            BemsDevice = new HashSet<BemsDevice>();
            BemsZoneActivate = new HashSet<BemsZoneActivate>();
        }

        //건물 존 정보
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "건물번호"), Key]
        public int BuildingId { get; set; }
        [Display(Name = "존 번호"), Key]
        public int ZoneId { get; set; }
        [Display(Name = "존 명"), Required]
        [StringLength(52)]
        public string Name { get; set; }
        [Display(Name = "사용여부")]
        public bool? IsUse { get; set; }

        [ForeignKey("SiteId,BuildingId")]
        public virtual CmBuilding CmBuilding { get; set; }
        [InverseProperty("BemsZone")]
        public virtual ICollection<BemsDevice> BemsDevice { get; set; }
        [InverseProperty("BemsZone")]
        public virtual ICollection<BemsZoneActivate> BemsZoneActivate { get; set; }
    }
}
